using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class AdditionalCreditType {
    /* The unique identifier of the resource. */
    public string id { get; set; }

    /* A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public int? additionalCreditTypeId { get; set; }

    /* Code for additional credit type. */
    public string codeValue { get; set; }

    /* A shortened description for the additional credit type. */
    public string shortDescription { get; set; }

    /* Description of additional Credit type. */
    public string description { get; set; }

    /* A unique system-generated value that identifies the version of the resource. */
    public string _etag { get; set; }

    }
}
