using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class CommunityProviderQRISRating {
    /* A reference to the related QRISRatingOrganization resource. */
    public QrisRatingOrganizationReference qrisRatingOrganizationReference { get; set; }

    /* Date Quality Rating and Improvement System score, level or rating was awarded. */
    public DateTime? ratingEffectiveDate { get; set; }

    /* Date Quality Rating and Improvement System score, level or rating was awarded. */
    public DateTime? ratingExpirationDate { get; set; }

    /* The score, rating or level received by a program for its Quality Rating and Improvement System (QRIS). */
    public string rating { get; set; }

    /*  */
    public bool? currentFlag { get; set; }

    }
}
