using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class GraduationPlanRequiredAssessmentAssessmentPerformanceLevel {
    /* The performance level(s) defined for the assessment. */
    public string performanceLevelDescriptor { get; set; }

    /* The method that the instructor of the class uses to report the performance and achievement of all students. It may be a qualitative method such as individualized teacher comments or a quantitative method such as a letter or numerical grade. In some cases, more than one type of reporting method may be used. */
    public string assessmentReportingMethodType { get; set; }

    /* The minimum score required to make the indicated level of performance. */
    public string minimumScore { get; set; }

    /* The maximum score to make the indicated level of performance. */
    public string maximumScore { get; set; }

    /* The datatype of the result. The results can be expressed as a number, percentile, range, level, etc. */
    public string resultDatatypeType { get; set; }

    }
}
