using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Michigan.Ods.Sdk.Models {
  public class StaffEducationOrganizationAssignmentAssociationAssignedSubjectArea {
    /* (MI EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string academicSubjectDescriptor { get; set; }

    /* (MI EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string academicMajorInAssignedSubjectAreaDescriptor { get; set; }

    /* (MI EXT) A unique identifier used as Primary Key, not derived from business logic, when acting as Foreign Key, references the parent table. */
    public string academicMinorInAssignedSubjectAreaDescriptor { get; set; }

    /* (MI EXT) This is the number of classes taught for each core academic subject area assignment. */
    public int? numberOfClassesTaught { get; set; }

    }
}
